Bug 761431 - Please move all ABRT stuff from /run to /run/abrt/
Please move all ABRT stuff from /run to /run/abrt/
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
16
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ABRTF18
  Show dependency treegraph
 
Reported: 2011-12-08 05:25 EST by Miroslav Grepl
Modified: 2015-02-01 17:55 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 20:58:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miroslav Grepl 2011-12-08 05:25:11 EST
Description of problem:

Hi folks,
I see 

# ls -Z /run/abrtd.pid
-rw-r--r--. root root system_u:object_r:abrt_var_run_t:s0 /run/abrtd.pid

# ls -Z /run/abrt/
srw-rw-rw-. root root system_u:object_r:abrt_var_run_t:s0 abrt.socket
-rw-r--r--. root root system_u:object_r:abrt_var_run_t:s0 saved_core_pattern

Could you move also pid file to /run/abrt directory.

Thank you.
Comment 1 Denys Vlasenko 2012-08-10 07:28:40 EDT
Fixed in git:

commit a20cc661d7a4f3f13ad17222f199273e6698d92e
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Fri Aug 10 13:27:28 2012 +0200

    move abrtd.pid to /var/run/abrt/abrtd.pid
Comment 2 Fedora Update System 2012-08-22 15:29:21 EDT
abrt-2.0.12-1.fc17, libreport-2.0.13-1.fc17, btparser-0.18-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.12-1.fc17,libreport-2.0.13-1.fc17,btparser-0.18-2.fc17
Comment 3 Fedora Update System 2012-08-23 19:30:08 EDT
Package abrt-2.0.12-1.fc17, libreport-2.0.13-1.fc17, btparser-0.18-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.12-1.fc17 libreport-2.0.13-1.fc17 btparser-0.18-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.12-1.fc17,libreport-2.0.13-1.fc17,btparser-0.18-2.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-29 20:58:59 EDT
abrt-2.0.12-1.fc17, libreport-2.0.13-2.fc17, btparser-0.18-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.